### Method

# Soup HSTSEnforcer get_domains

#### Declaration [src]

    GList*
    soup_hsts_enforcer_get_domains (
      SoupHSTSEnforcer* hsts_enforcer,
      gboolean session_policies
    )

#### Description [src]

Gets a list of domains for which there are policies in `enforcer`.

#### Parameters

`session_policies`

  Type: `gboolean`

  Whether to include session policies.

#### Return value

Type: A list of `utf8`

A newly allocated list of domains. Use `g_list_free_full()` and `g_free()` to free the list.

The caller of the method takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.